package com.monitorabrasil.participacidadao.application;

import android.app.Application;

import com.nostra13.universalimageloader.core.DisplayImageOptions;
import com.nostra13.universalimageloader.core.ImageLoader;
import com.nostra13.universalimageloader.core.ImageLoaderConfiguration;
import com.parse.Parse;
import com.crashlytics.android.Crashlytics;
import com.parse.ParseTwitterUtils;

import io.fabric.sdk.android.Fabric;

/**
 * Created by geraugu on 6/10/15.
 */
public class MyApp extends Application {

    private static MyApp mInstance;
    private ImageLoader mImagemLoader;
    public static final String URL_FOTO = "http://52.27.220.189/parse/data/fotos/";


    @Override
    public void onCreate() {
        super.onCreate();
        Fabric.with(this, new Crashlytics());
// Enable Local Datastore.

        Parse.enableLocalDatastore(this);
        Parse.initialize(this, "pcGL19NalihMwcHaKnTuYpLkQU4ndrCH2Yxx9von", "tdWwopcuTXJ2ysxZW7pc9ZcZQCmqPSWwSokzCEzl");
        ParseTwitterUtils.initialize("lYNRnSSragDjrWqwdCYC5rXfk", "STsQvgsSGFchxu2keN81GkwpJCDxXr8zO3EVaUnK3FVyugNO37");
        mInstance = this;

        //configurando o imageloader
        DisplayImageOptions mDisplayImageOptions = new DisplayImageOptions.Builder().cacheInMemory(true).build();
        ImageLoaderConfiguration conf = new ImageLoaderConfiguration.Builder(getApplicationContext())
                .defaultDisplayImageOptions(mDisplayImageOptions)
                .memoryCacheSize(50*1024*1024)
                .build();
        this.mImagemLoader = ImageLoader.getInstance();
        mImagemLoader.init(conf);

    }

    public static synchronized MyApp getInstance() {
        return mInstance;
    }

    public ImageLoader getmImagemLoader() {
        return mImagemLoader;
    }

    public String getCidade(){
        return "Ouro Branco - MG";
    }
}
