package com.monitorabrasil.participacidadao.stores;

import com.monitorabrasil.participacidadao.actions.Action;
import com.monitorabrasil.participacidadao.actions.UserActions;
import com.monitorabrasil.participacidadao.dispatcher.Dispatcher;
import com.squareup.otto.Subscribe;

/**
 * Created by 89741803168 on 13/08/2015.
 */
public class UserStore extends Store{

    private static UserStore instance;
    private String status;
    private String evento;

    public String getStatus(){
        return status;
    }

    public String getEvento(){
        return evento;
    }


    protected UserStore(Dispatcher dispatcher) {
        super(dispatcher);
    }

    public static UserStore get(Dispatcher dispatcher) {
        if (instance == null) {
            instance = new UserStore(dispatcher);
        }
        return instance;
    }


    @Override
    @Subscribe
    public void onAction(Action action) {
        status = "erro";
        this.evento = action.getType();
        this.status = ((String) action.getData().get(UserActions.KEY_TEXT));

        switch (action.getType()) {
            case UserActions.USER_LOGAR:
                emitStoreChange();
                break;
            case UserActions.USER_LOGOUT:
                emitStoreChange();
                break;
            case UserActions.USER_CADASTRO:
                emitStoreChange();
                break;
        }
    }

    @Override
    StoreChangeEvent changeEvent() {
        UserStoreChangeEvent mUserStoreChangeEvent = new UserStoreChangeEvent();
        return mUserStoreChangeEvent;
    }

    public class UserStoreChangeEvent implements StoreChangeEvent {

    }
}
